@media screen and (max-width:576px) {
    body {
        overflow-x: hidden;
    }

    header {
        padding-top: 35px;
        padding-bottom: 8px;
        margin-bottom: 60px;
    }

    /* .display-flex {
        flex-direction: column;
    } */

    nav {
        max-width: 100%;
        text-align: center;
        padding: 0 15px;
    }

    nav ul li {
        display: none;
    }

    .hamburger {
        display: block !important;
    }

    .brand-name {
        font-size: 30px;
    }

    /* Banner related styles */

    .banner-container {
        max-width: 95%;
        padding-top: 40px;
    }

    .banner-content {
        max-width: 100%;
    }

    .banner-content h2 {
        font-size: 2.75rem;
    }

    .primary-btn {
        padding: 14px 20px;
    }

    .banner-content {
        max-width: 862px;
        margin: 0 auto;
        text-align: center;
        margin-bottom: 33px;
    }

    /* .nav-links {
        display: flex;
        flex-direction: row;
        justify-content: center;
        flex-wrap: wrap;
    } */


    /* Feature related styles */

    .feature-container {
        max-width: 95%;
        flex-direction: column-reverse;
        margin-bottom: 60px;
        gap: 27px;
    }

    .feature-content {
        max-width: 95%;
    }

    .feature-content h2 {
        font-size: 38px;
        font-weight: 700;
        margin-bottom: 24px;
    }

    .feature-image-container {
        max-width: 100%;
        grid-template-columns: repeat(1, 1fr);
        gap: 24px;
    }

    .feature-image-container img:hover {
        box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
    }



    /* Experience */

    .info-container {
        max-width: 95%;
        flex-direction: column;
    }

    .info-content {
        max-width: 100%;
    }

    .info-heading h2 {
        font-size: 33px;
        padding-left: 11px;
    }

    .info-image {
        max-width: 100%;
    }



    .badge {
        padding: 18px 34px;
        margin-left: 14px;
        margin-top: -63px;
    }

    .badge-year {
        font-size: 38px;
        font-weight: 800;
    }

    .badge-text {
        font-size: 20px;
        font-weight: 600;
    }

    .info-container {
        margin-bottom: 81px;
    }

    .skills-card {
        max-width: 96%;
        margin: 0 auto;
        margin-bottom: 27px;

    }


    /* Facts Section Styles */

    .facts-container {
        max-width: 95%;
    }

    .facts-heading {
        max-width: 90%;
        text-align: left;

        border-left: 4px solid #FF900E;
        padding-left: 12px;
        margin: 0 auto;
        margin-bottom: 60px;
    }

    .facts-heading h3 {
        font-size: 40px;

    }

    .facts-card-container {
        max-width: 100%;

        grid-template-columns: repeat(1, 1fr);
        gap: 25px;
    }

    .facts-card {
        max-width: 241px;
    }




    /* Sponsors Section */

    .sponsors-section {
        max-width: 95%;

        margin-bottom: 60px;
    }

    .sponsors-heading {
        max-width: 100%;

    }

    .sponsors-heading h2 {
        font-size: 40px;
    }


    .sporsors-container {
        max-width: 100%;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 30px;
        margin: 0 auto;
    }

    .sponsor {
        max-width: 100%;
        margin: 0 auto;
    }


    /* Footer */
    footer {
        max-width: 100%;
        margin-bottom: 50px;
    }


    .footer-container {
        max-width: 100%;
        margin: 0 auto;
        background-color: #FFF4E7;
        padding: 4px 10px;
    }

    .footer-container p {
        font-size: 17px;
        color: #424242;
    }



}